PAC(8)

NAZWA
pac - informacja rozliczeniowa drukarki/plotera

SKŁADNIA
pac [-cmrs] [-Pdrukarka] [-pcena] [użytkownik ...]

OPIS
Pac (ang. printer/plotter accounting) czyta pliki rozliczeniowe drukarki/plottera, sumując liczbę stron (typowy przypadek) lub stóp (dla urządzeń rastrowych) papieru zużytego przez każdego z użytkowników, i wypisuje ile zużył każdy z nich w stronach czy stopach i w dolarach.

Gdy nie poda się argumentu użytkownik, to wpisywane są statystyki dla każdego użytkownika który zużył papier.

Dostępne opcje:

-Pdrukarka
    Rozliczenie wykonywane jest dla zadanej drukarki. Normalnie, rozliczanie wykonywane jest dla drukarki domyślnej (zależnej od konkretnego systemu) lub drukarki określonej wartością zmiennej środowiska PRINTER.

-c  powoduje, że wyjście zostanie posortowane według kosztów; normalnie jest ono sortowane alfabetycznie według nazwy.

-m  powoduje, że w pliku rozliczeniowym ignorowana będzie nazwa hosta. Pozwala to użytkownikowi pracującemu na wielu maszynach na połączenie wszystkich opłat za drukowanie.

-pcena
    Wartość ceny używana jest jako koszt w dolarach, zamiast domyślnej wartości 0.02 lub ceny określonej w /etc/printcap.

-r  Odwraca porządek sortowania.

-s  Informacja rozliczeniowa jest sumowana w sumarycznym pliku rozliczeniowym; sumowanie to jest niezbędne, gdyż na obciążonym systemie plik rozliczeniowy może powiększać się o kilkanaście wierszy dziennie.

FORMATY WYJŚCIOWE
pac formatuje wyjście w prostą tabelę z czterema kolumnami:

1.  Na początku wypisywana jest nazwa komputera wraz z nazwą loginu użytkownika (kolumna "Login"). Jeśli poda się opcję -m, to nazwa komputera jest pomijana.

2.  Liczba stron lub stóp wydrukowanego papieru (kolumna "pages/feet").

3.  Liczba wykonanych kopii (kolumna "runs").

4.  Całkowity koszt na użytkownika (kolumna "price").

Jeśli nie poda się argumenty użytkownik, to pac wypisze wiersz podsumowania z całkowitymi wartościami drukowania.

PLIKI
/var/account/?acct
    nieprzetworzone pliki rozliczeniowe
/var/account/?_sum
    sumaryczne pliki rozliczeniowe
/etc/printcap
    baza danych możliwości drukarek

ZOBACZ TAKŻE
printcap(5a)

HISTORIA
Polecenie pac pojawiło się w 4.0BSD.

BŁĘDY
Obecnie nie jest jeszcze znana relacja pomiędzy ceną wyliczoną a rzeczywistą.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2008.05.17+nmu1 oryginału.